## AgsOscNodeController

AgsOscNodeController — OSC node controller

## Stability Level

Stable, unless otherwise indicated

## Functions

gpointer | ags_osc_node_controller_get_data ()
AgsOscNodeController * | ags_osc_node_controller_new ()

## Signals

gpointer | get-data | Run Last

## Types and Values

#define | AGS_OSC_NODE_CONTROLLER_CONTEXT_PATH_LENGTH

## Object Hierarchy

        GObject
        ╰── AgsOscController
            ╰── AgsOscNodeController

## Includes

    #include <ags/audio/osc/controller/ags_osc_node_controller.h>

## Description

The AgsOscNodeController implements the OSC node controller.

## Functions

### ags_osc_node_controller_get_data ()

    gpointer
    ags_osc_node_controller_get_data (AgsOscNodeController *osc_node_controller,
                                      AgsOscConnection *osc_connection,
                                      guchar *message,
                                      guint message_size);

Get node.

#### Parameters

osc_node_controller | the AgsOscNodeController |
osc_connection | the AgsOscConnection |
message | the message received |
message_size | the message size |

#### Returns

the GList containing AgsOscResponse

Since: 3.0.0

### ags_osc_node_controller_new ()

    AgsOscNodeController *
    ags_osc_node_controller_new ();

Instantiate new AgsOscNodeController

#### Returns

the AgsOscNodeController

Since: 3.0.0

## Types and Values

### AGS_OSC_NODE_CONTROLLER_CONTEXT_PATH_LENGTH

    #define AGS_OSC_NODE_CONTROLLER_CONTEXT_PATH_LENGTH (8)

## Signal Details

### The `“get-data”` signal

    gpointer
    user_function (AgsOscNodeController *osc_node_controller,
                   GObject              *osc_connection,
                   gpointer              message,
                   guint                 message_size,
                   gpointer              user_data)

The ::get-data signal is emited during get data of node controller.

#### Parameters

osc_node_controller | the AgsOscNodeController |
osc_connection | the AgsOscConnection |
message | the message received |
message_size | the message size |
user_data | user data set when the signal handler was connected. |

#### Returns

the AgsOscResponse

Flags: Run Last

Since: 3.0.0